## powerdevil 6.6.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(PowerDevil)
set(PROJECT_VERSION "6.6.1")

set(PROJECT_DEP_VERSION "6.6.1")
set(QT_MIN_VERSION "6.10.0")
set(KF6_MIN_VERSION "6.22.0")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH}  ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMConfiguredInstall)
include(ECMGenerateDBusServiceFile)
include(FeatureSummary)
include(GenerateExportHeader)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMDeprecationSettings)
include(ECMQmlModule)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Widgets DBus)

if (Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()

find_package(QCoro6 REQUIRED COMPONENTS Core DBus)
find_package(KF6 ${KF6_MIN_VERSION} REQUIRED COMPONENTS
    Auth
    Config
    Crash
    DBusAddons
    I18n
    IdleTime
    ItemModels
    GlobalAccel
    KIO
    Kirigami
    KCMUtils
    Notifications
    Runner
    Solid
    WindowSystem
    XmlGui
)
find_package(Plasma ${PROJECT_DEP_VERSION} REQUIRED)
find_package(PlasmaActivities ${PROJECT_DEP_VERSION} REQUIRED)
find_package(KF6Screen CONFIG REQUIRED)
find_package(LibKWorkspace ${PROJECT_DEP_VERSION} REQUIRED)

find_package(UDev REQUIRED)

find_package(XCB REQUIRED COMPONENTS XCB RANDR DPMS)

find_package(KF6DocTools ${KF6_MIN_VERSION})
set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Tools to generate documentation"
    TYPE OPTIONAL
)

find_package(DDCUtil)
if(DDCUtil_FOUND)
    add_definitions(-DWITH_DDCUTIL)
    set_package_properties(DDCUtil
        PROPERTIES DESCRIPTION "DDCUtil library support"
        TYPE OPTIONAL
        PURPOSE "Set monitor settings over DDC/CI channel"
    )
endif()

find_package(Qt6WaylandClient COMPONENTS Private)
find_package(PlasmaWaylandProtocols 1.20 REQUIRED)
find_package(Wayland REQUIRED COMPONENTS Client)

include_directories (
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/daemon
)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX POWERDEVIL
                  VERSION_HEADER "${CMAKE_BINARY_DIR}/powerdevil_version.h"
)
ecm_set_disabled_deprecation_versions(QT 6.8.0
    KF 6.9.0
)

add_subdirectory(applets)
add_subdirectory(daemon)
add_subdirectory(kcm)
add_subdirectory(kcm_mobile)

if(KF6DocTools_FOUND)
    add_subdirectory(doc)
    kdoctools_install(po)
endif()

add_subdirectory(runners)

add_subdirectory(autotests)

ecm_qt_install_logging_categories(
        EXPORT POWERDEVIL
        FILE powerdevil.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )
install( FILES powerdevil.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR} )

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
powerdevil (4:6.6.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.6.0)
  * New upstream release (6.6.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 22:17:42 +0000

=== debian/control ===
Source: powerdevil
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Scarlett Moore <sgmoore@kde.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               extra-cmake-modules (>= 6.22.0~),
               gettext,
               libcap-dev,
               libcap2-bin,
               libddcutil-dev,
               libkf6auth-dev (>= 6.22.0~),
               libkf6config-dev (>= 6.22.0~),
               libkf6crash-dev (>= 6.22.0~),
               libkf6dbusaddons-dev (>= 6.22.0~),
               libkf6doctools-dev (>= 6.22.0~),
               libkf6globalaccel-dev (>= 6.22.0~),
               libkf6i18n-dev (>= 6.22.0~),
               libkf6idletime-dev (>= 6.22.0~),
               libkf6itemmodels-dev (>= 6.22.0~),
               libkf6kcmutils-dev (>= 6.22.0~),
               libkf6kio-dev (>= 6.22.0~),
               libkf6notifications-dev (>= 6.22.0~),
               libkf6runner-dev (>= 6.22.0~),
               libkf6solid-dev (>= 6.22.0~),
               libkf6windowsystem-dev (>= 6.22.0~),
               libkf6xmlgui-dev (>= 6.22.0~),
               libkirigami-dev (>= 6.22.0~),
               libkscreen-dev (>= 4:6.6.1~),
               liblayershellqtinterface-dev (>= 6.6.1~),
               libplasma-dev (>= 6.6.1~),
               libplasmaactivities-dev (>= 6.6.1~),
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxcb-dpms0-dev,
               libxcb-randr0-dev,
               libxcb1-dev,
               libxrandr-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.19.0~),
               plasma-workspace-dev (>= 4:6.6.1~),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.10.0~),
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/powerdevil
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/powerdevil
Rules-Requires-Root: no

Package: libpowerdevilcore2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Multi-Arch: same
Description: shared library for the KDE power management features in Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the shared library providing the core features
 of PowerDevil.

Package: powerdevil
Architecture: any
Depends: libcap2-bin [linux-any],
         powerdevil-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: power-profiles-daemon, systemsettings,
Breaks: plasma-workspace (<< 4:6.2.0~),
Replaces: plasma-workspace (<< 4:6.2.0~),
Description: KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 The service will:
 .
 - Suspend or shut down sessions under certain conditions such as
 user inactivity, closing the laptop lid or pressing the power button.
 .
 - Adjust the brightness level of displays and keyboards, or turn
 display backlights off/on altogether.
 .
 - Change settings according to the current power state (plugged in,
 battery, low battery), which can be customized in System Settings.
 .
 - Monitor the current battery charge, and set charge thresholds for
 battery-powered devices that support it.
 .
 - Keep track of system state - e.g. suspend/idle/etc. inhibitors,
 activities, screen locking - to adjust power management behaviors
 accordingly.
 .
 - Communicate with underlying services such as UPower,
 power-profiles-daemon, ddcutil, and/or systemd to implement some of
 the above.
 .
 - Provide a D-Bus interface for other Plasma components such as the
 Power Management applet or the Brightness and Color applet.
 .
 This package contains the daemon started alongside the Plasma
 session.

Package: powerdevil-data
Architecture: all
Depends: ${misc:Depends},
Breaks: plasma-workspace-data (<< 4:6.2.0~),
Replaces: plasma-workspace-data (<< 4:6.2.0~),
Multi-Arch: foreign
Description: data files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the data files for PowerDevil.

Package: powerdevil-dev
Section: devel
Architecture: any
Depends: libpowerdevilcore2 (= ${binary:Version}),
         powerdevil (= ${binary:Version}),
         ${misc:Depends},
Multi-Arch: no
Description: development files for the KDE power management service for Plasma
 PowerDevil is the internal name of the KDE power management service
 for Plasma. It is responsible for some (but not all) interactions
 with hardware functionality.
 .
 This package contains the development files for PowerDevil.
